org.gnome.gtk

## Class WindowPosition

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.WindowPosition

-     public final class WindowPosition
      extends org.freedesktop.bindings.Constant

  Request that this Window be placed at a specific location on the screen. Note that this is only a strong suggestion; as ever with window placement issues, it is up to the window manager to actually decide where and how to locate a new Window on the display.
  Since:
    4.0.3
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WindowPosition` | `CENTER` The window should be placed at the center of the screen.
    `static WindowPosition` | `CENTER_ALWAYS` The window should be kept at the center even as it resizes.
    `static WindowPosition` | `CENTER_ON_PARENT` The window should be kept centered on its ( `transient`) parent.
    `static WindowPosition` | `MOUSE` The window should be placed where the mouse pointer is presently.
    `static WindowPosition` | `NONE` No need to request altered placement.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CENTER

          public static final WindowPosition CENTER

      The window should be placed at the center of the screen.

    - #### CENTER_ALWAYS

          public static final WindowPosition CENTER_ALWAYS

      The window should be kept at the center even as it resizes.

    - #### CENTER_ON_PARENT

          public static final WindowPosition CENTER_ON_PARENT

      The window should be kept centered on its ( `transient`) parent.

    - #### MOUSE

          public static final WindowPosition MOUSE

      The window should be placed where the mouse pointer is presently.

    - #### NONE

          public static final WindowPosition NONE

      No need to request altered placement.